/*
 * channel.h
 *
 * Function declarations for channel.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef CHANNEL_H
#define CHANNEL_H

#ifdef __cplusplus
extern "C" {
#endif

void
wipe_cut_channels(cutlass_t *cut_handle, conn_t *conn);

uint8_t
new_cut_channel_out(cutlass_t *cut_handle, conn_t *conn,
		    uint8_t channel_type, uint32_t channel_size,
		    void *channel_object, uint8_t *contents,
                    uint32_t request_id);

int
new_cut_channel_in(cutlass_t *cut_handle, struct channel *channels, 
		   uint8_t channel_id, uint8_t channel_type, 
		   uint32_t channel_size,
		   void *channel_object);

int
cutlass_channel_close_parse(cutlass_t *cut_handle, conn_t *conn,
			    uint8_t *clear_packet,
			    struct cutlass_packet_hdr *packet_info,
			    struct timespec *now);

int
del_cut_channel(cutlass_t *cut_handle, conn_t *conn, 
		int direction, uint8_t channel_id);

int
cutlass_channel_close_send(cutlass_t *cut_handle, conn_t *conn, 
			   int direction, uint8_t channel_id);

#ifdef __cplusplus
}
#endif

#endif /* CHANNEL_H */
