/*
 * gaps.h
 *
 * Function declarations for gaps.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef GAPS_H
#define GAPS_H

#ifdef __cplusplus
extern "C" {
#endif

void
empty_gaplist(struct gaplist *list);

int
retrieve_gaplist(struct gaplist *list, uint32_t *gap_array, int numgaps);

struct gapnode *
gapnode_init(cutlass_t *cut_handle);

struct gaplist *
gaplist_init(cutlass_t *cut_handle, uint32_t end);

int
gaplist_bytes_find(cutlass_t *cut_handle, conn_t *conn,
		   struct channel *channel, uint32_t *write_start);

uint32_t
total_gapsleft(struct gaplist *list);

int 
update_gaplist(cutlass_t *cut_handle, struct gaplist *list,
	       uint32_t start, uint32_t end);

uint32_t
gaplist_first(struct channel *channel);

uint32_t
gaplist_last(struct channel *channel);

void
destroy_gaplist(struct gaplist *list);

int
parse_gaplist(cutlass_t *cut_handle, struct gaplist *list,
	      uint8_t *gap_array, int numgaps);

#ifdef __cplusplus
}
#endif

#endif /* GAPS_H */
