/*
 * group.h
 *
 * Function declarations for group.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef CUTLASS_GROUP_H__
#define CUTLASS_GROUP_H__

#ifdef __cplusplus
extern "C" {
#endif

group_t *
cutlass_group_create(cutlass_t *cut_handle, char *group_name,
		     cutlass_private_key *group_key);

void
cutlass_group_destroy(cutlass_t *cut_handle, group_t *group);

int
cutlass_group_invite(cutlass_t *cut_handle, group_t *group, conn_t *conn);

int
cutlass_group_kick(cutlass_t *cut_handle, group_t *group, conn_t *conn);

int
cutlass_group_ban(cutlass_t *cut_handle, group_t *group, conn_t *conn);

int
cutlass_group_join(cutlass_t *cut_handle, conn_t *conn, uint8_t *group_id);

int
cutlass_group_leave(cutlass_t *cut_handle, group_t *group);

int
cutlass_group_invite_accept(cutlass_t *cut_handle, group_t *group);

int
cutlass_group_invite_reject(cutlass_t *cut_handle, group_t *group);

#ifdef __cplusplus
}
#endif

#endif
