/*
 * handle.h
 *
 * Function declarations for handle.c
 *
 * Copyright (c) 2004 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef HANDLE_H
#define HANDLE_H

#ifdef __cplusplus
extern "C" {
#endif

int
cutlass_register_action(cutlass_t *cut_handle, int action, 
			cut_action_handler handle_function);

int
cutlass_set_nick(cutlass_t *cut_handle, const char *new_nick);

int
cutlass_set_port(cutlass_t *cut_handle, uint16_t port);

int
cutlass_set_verbose(cutlass_t *cut_handle, int verbose);

int
cutlass_set_actionlock(cutlass_t *cut_handle, int actionlock);

int 
cutlass_set_browse_dir(cutlass_t *cut_handle, const char *browse_dir);

int
cutlass_set_save_dir(cutlass_t *cut_handle, const char *save_dir);

int
cutlass_remove_capability(cutlass_t *cut_handle, cutlass_capability_t cap);

int
cutlass_set_permission(cutlass_t *cut_handle, cutlass_capability_t cap,
                       int permission);

int 
cutlass_set_private_key (cutlass_t *cut_handle, cutlass_private_key private_key );

#ifdef __cplusplus
}
#endif

#endif /* HANDLE_H */
