/*
 * request.h
 *
 * Function declarations for request.c
 *
 * Copyright (c) 2005 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef REQUEST_H
#define REQUEST_H

int
cutlass_request_process(cutlass_t *cut_handle, conn_t *conn, uint8_t *buffer,
                        uint32_t buffer_size);

request_t *
cutlass_request_match(cutlass_t *cut_handle, conn_t *conn, 
                      uint32_t request_id);

int
cutlass_request_new(cutlass_t *cut_handle, conn_t *conn, 
                    request_t *request);

int
cutlass_request_complete(cutlass_t *cut_handle, conn_t *conn, 
                         request_t *request);

int
cutlass_request_delete(cutlass_t *cut_handle, conn_t *conn, 
                       uint32_t request_id);

int
cutlass_delete_requests(cutlass_t *cut_handle, conn_t *conn);


/*
 * The directory request packet header is used to send a directory
 * request to a remote directory server
 */

/*
struct cutlass_directory_request {
  uint8_t request_type;
  uint32_t max_reply;
  uint8_t fingerprint[CUT_ID_LEN];
  char string[CUTLASS_REQ_LEN_MAX];
};
*/

/*
struct cutlass_dir_req_hdr {
  uint8_t request_type;
  uint16_t request_len;
};
*/

/*
 * The cutlass file request packet header is used to request a file
 * from the remote system
 */

/*
struct cutlass_file_req {
  uint16_t request_type;
  uint8_t file_csum[CUT_CSUM_LEN];
  uint16_t file_name_len;
  uint8_t *file_name;
};
*/
#endif /* REQUEST_H */
